<?php
include_once '../sys/inc/home.php';
include_once H.'sys/inc/start.php';
include_once H.'sys/inc/compress.php';
include_once H.'sys/inc/sess.php';
include_once H.'sys/inc/settings.php';
include_once H.'sys/inc/db_connect.php';
include_once H.'sys/inc/ipua.php';
include_once H.'sys/inc/fnc.php';
include_once H.'sys/inc/user.php';

include_once 'duels_start.php';

only_reg();

$set['title'] = 'Вызов на дуэль';

if (!isset($_GET['id']) || !is_numeric($_GET['id'])) {
    header('Location: ./');
    exit;
}
$id = (int)$_GET ['id'];
if (isset($_GET ['id']))$ank = get_user($id);

if (!$ank || $ank['id'] == $user['id'] || $ank['id'] == 0){
    header('Location: ./');
    exit;
}

$set['title'] .= ' - '. $ank['nick'];

include_once H.'sys/inc/thead.php';
title();

if (isset($_GET['yes'])) {

if (!view_ava($ank['id']) || !view_ava($user['id'])){
    $err[] = 'Аватар не найден';
}

$q = mysql_query("SELECT * FROM `duels` WHERE `id_ank` = '{$id}' AND `time` > '$duel_time' LIMIT 1");
if (mysql_num_rows($q)) {
$err[] = 'Пользователь уже на дуэле';
}

$q1 = mysql_query("SELECT * FROM `duels` WHERE `id_user` = '{$user['id']}' AND `id_ank` = '{$id}' AND `time` > '$duel_time' LIMIT 1");
$q2 = mysql_query("SELECT * FROM `duels` WHERE `id_ank` = '{$user['id']}' AND `id_user` = '{$id}' AND `time` > '$duel_time' LIMIT 1");

$duel = mysql_fetch_assoc($q1);
$duel2 = mysql_fetch_assoc($q2);

if (mysql_num_rows($q1)) {
if ($duel['status'] == 0) {
$err[] = 'Ответ не был дан';
}
if ($duel['status'] == 1) {
msg('Ваш дуэль уже начался');
}
if ($duel['status'] == 2) {
msg('Ваш дуэль отклонен');
}
}
if (mysql_num_rows($q2)) {
if ($duel2['status'] == 0) {
$err[] = 'Ответ не был дан';
}
if ($duel2['status'] == 1) {
msg('Ваш дуэль уже начался');
}
if ($duel2['status'] == 2) {
msg('Ваш дуэль отклонен');
}
}

if (!isset($err)) {
mysql_query("INSERT INTO `duels` (`id_user`, `id_ank`, `time`) VALUES ('{$user['id']}', '{$id}', '" . time() . "')");
$duel_id = mysql_insert_id();
msg("{$ank['nick']} успешно вызван на дуэль с Вами");
$mess = "{$user['nick']} Вызывает Вас на дуэль, пожалуйста дайте свой [url=/duels/duel.time.php?id={$duel_id}]Ответ[/url]";
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '{$ank['id']}', '".$mess."', '$time')");
}

err();
aut();

if (!isset($err)) {
echo "<div class='post'>";
echo "Теперь Вам осталось ожидать ответ от {$ank['nick']}, ответ придет Вам в личные сообщения. Ждите!<br />Внимание! Если пользователь не даст ответ в течение суток Ваш с ним дуэль будет расторгнут.";
echo "</div>";
}
} else {
err();
aut();

echo "<div class='post'>";
echo "Вы дейсвительно хотите вызвать {$ank['nick']} на дуэль с Вами?<br />";
echo "<a href='?id={$id}&amp;yes'>Вызвать</a> | <a href='./'>Отмена</a>";
echo "</div>";

}

echo "<div class='foot'>";
echo "&laquo; <a href='./'>Дуэли</a><br />";
echo "</div>";

include_once H.'sys/inc/tfoot.php';
?>